Package picard.vcf

## Class CallingMetricAccumulator

- java.lang.Object
- - picard.vcf.CallingMetricAccumulator

- All Implemented Interfaces:
    `VariantProcessor.Accumulator<CallingMetricAccumulator.Result>`
  Direct Known Subclasses:
    `GvcfMetricAccumulator`

      public class CallingMetricAccumulator
      extends Object
      implements VariantProcessor.Accumulator<CallingMetricAccumulator.Result>

  Collects variants and generates metrics about them. To use, construct, call `setup(VCFHeader)` once, then `accumulate(htsjdk.variant.variantcontext.VariantContext)` as desired, then call `result()`.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CallingMetricAccumulator.Result` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallingMetricAccumulator​(DbSnpBitSetUtil.DbSnpBitSets dbsnp)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `accumulate​(htsjdk.variant.variantcontext.VariantContext vc)` | Incorporates the provided variant's data into the metric analysis.
    `static String` | `getSingletonSample​(htsjdk.variant.variantcontext.VariantContext vc)` |
    `CallingMetricAccumulator.Result` | `result()` |
    `void` | `setup​(htsjdk.variant.vcf.VCFHeader vcfHeader)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallingMetricAccumulator

          public CallingMetricAccumulator​(DbSnpBitSetUtil.DbSnpBitSets dbsnp)

  - ### Method Detail

    - #### setup

          public void setup​(htsjdk.variant.vcf.VCFHeader vcfHeader)

    - #### accumulate

          public void accumulate​(htsjdk.variant.variantcontext.VariantContext vc)

      Incorporates the provided variant's data into the metric analysis.
      Specified by:
        `accumulate` in interface `VariantProcessor.Accumulator<CallingMetricAccumulator.Result>`

    - #### getSingletonSample

          public static String getSingletonSample​(htsjdk.variant.variantcontext.VariantContext vc)

      Returns:
        Sample name if there is only one sample that contains alternate allele(s), else null if either multiple samples that are not homref, or no samples that are not homref.

    - #### result

          public CallingMetricAccumulator.Result result()

      Specified by:
        `result` in interface `VariantProcessor.Accumulator<CallingMetricAccumulator.Result>`